using System;

namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int n, q;
            n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            string[] s = Console.ReadLine().Split(' ');
            for (int i = 0; i < n; i++)
            {
                a[i]=int.Parse(s[i]);
            }
            q = int.Parse(Console.ReadLine());
            for (int i = 0; i < q; i++)
            {
                int l, r;
                string []nmp = Console.ReadLine().Split(' ');
                l= int.Parse(nmp[0]);
                r= int.Parse(nmp[1]);
                if (l == r)
                {
                    Console.WriteLine("DA");
                }
                else
                {
                    int max = a[l - 1];
                    //cout << max <<endl;
                    int br = 0;
 
                    for (int j = l; j < r; j++)
                    {
                        //cout<<a[j]<<" ";
                        if (a[j] < max)
                        {
                            br++;
                            if (br > 1)
                                break;
                        }
                        max = a[j];
                    }
                    if (br < 2)
                        Console.WriteLine("DA");
                    else
                    {
                        Console.WriteLine("NE");
                    }
                }
            }
        }
    }
}